Subject: Re: bug#593: fwupd: Missing sysvinit script

From: Dennis Camera <[email-masked]>
Date: Mon, 19 Jul 2021 13:15:57 +0200

Dear Mark,

> On 19 Jul 2021, at 12:26, Mark Hindley <[email-masked]> wrote:
> 
> On Mon, Jul 19, 2021 at 10:53:28AM +0200, Dennis Camera wrote:
>> The fwupd package on Devuan only ships systemd services and timers.
>> To be functional on Devuan it should ship sysvinit scripts and a refresh cron job, instead.
> 
> AFAICS the service files are dbus activatable. As such they still work on
> Devuan. 

Oh, it didn’t occur to me that .service files can be launched by anything else than systemd.

> The thing that is missing is a cron script.

Now that I’m thinking more about this, one can argue if the package should install e cron job by default.
Maybe some users wouldn’t want to have fwupd auto-update (like apt-get also doesn’t auto-update by default).

Maybe just adding a section on how to create such a cron job to README.Debian or
adding a debconf question would be the better choice.

> I ran '/usr/bin/fwupdmgr refresh' from the command line without issue or
> error. After running this, the output of 'busctl' showed that the
> org.freedesktop.fwup service had been started correctly.
> 
> Can you verify that?

Yes, when I execute fwupdmgr, the fwupd daemon is started automatically.

> Is there anything else, from a functional perspective, that you expect to
> happen?

Currently, I don’t know. I couldn’t get fwupd to work as I wanted to, yet.
At first I thought it was because of the package assuming systemd to be present,
but as it turns out this is not the issue.

Possibly adding a cron job for the refresh process could be seen as an improvement,
but I can imagine that opinions differ on that.

As far as I’m concerned this bug can be closed.

Thanks for your assistance.
- Dennis